Subject: RE: bug#14940: 24.3.50; [PATCH] enhancement for `dired-hide-details-mode'

From: Drew Adams <[email-masked]>
Date: Mon, 4 Nov 2013 09:35:47 -0800 (PST)

> > We should stick to a single command and its key binding,
> 
> That's exactly the goal of my proposal: users only need to know
> about a single command "dired-hide-details-default-mode" and a
> single custom var "dired-hide-details-default-mode".  They could
> ignore the buffer-local dired-hide-details-mode, since it would be
> automatically controlled by dired-hide-details-default-mode.

It's not clear to me just what the behavior is that you are
proposing.  Perhaps we are on the same page; I can't tell.

As I said:

> But if the *same* behavior is offered by your proposal as by mine,
> and if users are not additionally bothered by your proposal, then
> I guess I don't see a problem with it.  (That's an if.)
> 
> IMO:
> 
> 1. The out-of-the-box default behavior should be as I described.
> 
> 2. Users should be able to set their own preferred default behavior
> persistently.  To me, that means a user option.  In any case, it
> means not having to toggle anything interactively just to get the
> preferred behavior as the saved one.
> 
> 3. If the rest of the behavior I described is also provided, no
> problem.
> 
> In sum, it's the behavior I'm interested in.  If the behavior is
> intact then I don't care much how you decide to implement it.